org.apache.cassandra.cql3.statements

## Interface Restriction.Slice

All Superinterfaces:
  Restriction

All Known Implementing Classes:
  MultiColumnRestriction.Slice, SingleColumnRestriction.Slice

Enclosing interface:
  Restriction

    public static interface Restriction.Slice
    extends Restriction

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.EQ, Restriction.IN, Restriction.Slice`

### Method Summary

Methods
`java.nio.ByteBuffer` `bound(Bound b, QueryOptions options)`
`IndexExpression.Operator` `getIndexOperator(Bound b)`
`Relation.Type` `getRelation(Bound eocBound, Bound inclusiveBound)`
`boolean` `hasBound(Bound b)` Returns true if the start or end bound (depending on the argument) is set, false otherwise
`boolean` `isInclusive(Bound b)` Returns true if the start or end bound (depending on the argument) is inclusive, false otherwise
`void` `setBound(ColumnIdentifier name, Relation.Type type, Term t)`
`java.util.List<java.nio.ByteBuffer>` `values(QueryOptions options)`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isContains, isEQ, isIN, isMultiColumn, isOnToken, isSlice`

### Method Detail

#### values

    java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                               throws InvalidRequestException

Specified by:
  `values` in interface `Restriction`
Throws:
  `InvalidRequestException`

#### hasBound

    boolean hasBound(Bound b)

Returns true if the start or end bound (depending on the argument) is set, false otherwise

#### bound

    java.nio.ByteBuffer bound(Bound b,
                            QueryOptions options)
                              throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### isInclusive

    boolean isInclusive(Bound b)

Returns true if the start or end bound (depending on the argument) is inclusive, false otherwise

#### getRelation

    Relation.Type getRelation(Bound eocBound,
                            Bound inclusiveBound)

#### getIndexOperator

    IndexExpression.Operator getIndexOperator(Bound b)

#### setBound

    void setBound(ColumnIdentifier name,
                Relation.Type type,
                Term t)
                  throws InvalidRequestException

Throws:
  `InvalidRequestException`